#!/usr/bin/python

# make script safe to run by blocking sigwinch
# but we need ctypes for that...


import ctypes
import signal
import os
import sys

libc = ctypes.cdll.LoadLibrary( 'libc.so.6')

sigblock = libc.sigblock
try:
    sigmask = libc.sigmask
except AttributeError:
    def sigmask(signum):
        return 1 << (signum -1)

if __name__ == "__main__":
    print "Running script with sigwinch sigblocked"
    mask = sigmask(signal.SIGWINCH)
    blocked = sigblock(mask)
    os.execlp("script", *sys.argv)

